<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8"/>
    <title data-th-text="#{admin.previewimporttrainingsites}">Weiterbildungsstätte hochladen</title>
    <link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}"/>
</head>
<body>

<div data-th-replace="fragments/nav::nav"></div>

<main>
    <table class="datatable">
        <caption data-th-text="#{geolocations.overview}">Übersicht über Adressen</caption>
        <thead>
        <tr>
            <th data-th-text="#{addresses.street}">Straße</th>
            <th data-th-text="#{addresses.housenumber}">Hausnummer</th>
            <th data-th-text="#{addresses.zipcode}" }>PLZ</th>
            <th data-th-text="#{addresses.city}">Ort</th>
            <th data-th-text="#{addresses.latitude}">Latitude</th>
            <th data-th-text="#{addresses.longitude}">Longitude</th>
        </tr>
        </thead>
        <tbody>
        <tr data-th-each="geoLocation: ${geoLocations}">
            <td data-th-text="${geoLocation.address.street}"></td>
            <td data-th-text="${geoLocation.address.housenumber}"></td>
            <td data-th-text="${geoLocation.address.zipCode}"></td>
            <td data-th-text="${geoLocation.address.city}"></td>
            <td data-th-text="${geoLocation.latitude}"></td>
            <td data-th-text="${geoLocation.longitude}"></td>
        </tr>
        </tbody>
    </table>

    <form method="post" data-th-action="@{/admin/geolocations/import}" enctype="multipart/form-data">
        <fieldset>
            <legend>Neue Datei hochladen</legend>
            <label for="file">Datei auswählen</label> <input type="file" name="file" id="file"/>
            <button>Hochladen</button>
        </fieldset>
    </form>
</main>

</body>
</html>